org.apache.maven.project.path

## Class DefaultPathTranslator

- java.lang.Object
- - org.apache.maven.project.path.DefaultPathTranslator

- All Implemented Interfaces:
    PathTranslator

      public class DefaultPathTranslator
      extends java.lang.Object
      implements PathTranslator

  Default implementation of `PathTranslator`.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.project.path.PathTranslator

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPathTranslator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alignToBaseDirectory(Model model, java.io.File basedir)`
    `void` | `unalignFromBaseDirectory(Model model, java.io.File basedir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPathTranslator

          public DefaultPathTranslator()

  - ### Method Detail

    - #### alignToBaseDirectory

          public void alignToBaseDirectory(Model model,
                                  java.io.File basedir)

      Specified by:
        `alignToBaseDirectory` in interface `PathTranslator`

    - #### unalignFromBaseDirectory

          public void unalignFromBaseDirectory(Model model,
                                      java.io.File basedir)

      Specified by:
        `unalignFromBaseDirectory` in interface `PathTranslator`